use log::LevelFilter;
use shared::errors::{Error, ErrorStatus};
use simple_logger::SimpleLogger;

pub fn initialize_logger() -> Result<(), Error> {
	if let Err(err) = SimpleLogger::new()
		.with_level(LevelFilter::Info)
		.env()
		.init()
	{
		return Err(Error {
			status: ErrorStatus::LoggerInitializationError,
			data: err.to_string(),
		});
	}

	Ok(())
}
